﻿using C1.Win.C1Input;
using C1.Win.C1TrueDBGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TdbgIssueWorkaround
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            c1TrueDBGrid1.DataSource = GetDataTable();
            c1TrueDBGrid1.FilterBar = true;

			//workaround
            c1TrueDBGrid1.Columns["Id"].Editor = new C1TextBox();
            c1TrueDBGrid1.Columns["Name"].Editor = new C1TextBox();
            c1TrueDBGrid1.Columns["Department"].Editor = new C1TextBox();
            c1TrueDBGrid1.Columns["Sex"].Editor = new C1TextBox();
            c1TrueDBGrid1.Columns["Salary"].Editor = new C1TextBox();
        }

        private DataTable GetDataTable()
        {
            DataTable dt = new DataTable("Employees");
            dt.Columns.Add("Id", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Department", typeof(string));
            dt.Columns.Add("Sex", typeof(string));
            dt.Columns.Add("Salary", typeof(decimal));

            dt.Rows.Add(1, "Peter", "Mgmt", "M", 5000);
            dt.Rows.Add(2, "George", "ACC", "M", 4000);
            dt.Rows.Add(3, "Frank", "IT", "M", 4500);
            dt.Rows.Add(4, "Linda", "IT", "F", 4000);
            dt.Rows.Add(5, "Fink", "ACC", "M", 3000);
            dt.Rows.Add(6, "Lucy", "ACC", "F", 5000);

            return dt;
        }
    }
}
